Index: datatype.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/datatype.sgml,v
retrieving revision 1.175
diff -c -r1.175 datatype.sgml
*** datatype.sgml	16 Sep 2006 16:18:11 -0000	1.175
--- datatype.sgml	22 Sep 2006 10:56:16 -0000
***************
*** 1706,1713 ****
        </table>
  
       <para>
!      Refer to <xref linkend="datetime-appendix"> for a list of
!      time zone names that are recognized for input.
      </para>
      </sect3>
  
--- 1706,1713 ----
        </table>
  
       <para>
!      Refer to <xref linkend="datatype-timezones"> for more information on how
!      to specify time zones.
      </para>
      </sect3>
  
***************
*** 1780,1786 ****
        For <type>timestamp with time zone</type>, the internally stored
        value is always in UTC (Universal
        Coordinated Time, traditionally known as Greenwich Mean Time,
!       <acronym>GMT</>).  An input value that has an explicit
        time zone specified is converted to UTC using the appropriate offset
        for that time zone.  If no time zone is stated in the input string,
        then it is assumed to be in the time zone indicated by the system's
--- 1780,1786 ----
        For <type>timestamp with time zone</type>, the internally stored
        value is always in UTC (Universal
        Coordinated Time, traditionally known as Greenwich Mean Time,
!       <acronym> GMT</>).  An input value that has an explicit
        time zone specified is converted to UTC using the appropriate offset
        for that time zone.  If no time zone is stated in the input string,
        then it is assumed to be in the time zone indicated by the system's
***************
*** 2152,2157 ****
--- 2152,2223 ----
      </para>
  
      <para>
+      <productname>PostgreSQL</productname> allows you to specify time zones in
+      three different forms:
+      <itemizedlist>
+       <listitem>
+        <para>
+ 	A time zone name like <literal>America/New_York</> for example. You can
+ 	find a list of available time zone names in the
+ 	<literal>pg_timezone_names</literal> view (see <xref
+ 	linkend="view-pg-timezone-names">).
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+ 	A time zone abbreviation like <literal>PST</> for example. With such a
+ 	specification you merely set a particular offset to GMT. You can query
+ 	the view <literal>pg_timezone_abbrevs</> (see <xref
+ 	linkend="view-pg-timezone-abbrevs">) for a list of all available
+ 	timezone abbreviations. Note that you cannot set the GUC timezone
+ 	parameter to a timezone abbreviation currently but you can use this
+ 	form for date/time input values and for the <literal>AT TIME ZONE</>
+ 	operator. These abbreviations are not hard-wired into the server, but
+ 	are obtained from configuration files stored under
+ 	<filename>.../share/timezone/</> of the installation directory (see
+ 	<xref linkend="datetime-config-files">).
+        </para>
+       </listitem>
+       <listitem>
+        <para>
+ 	In addition to the timezone names and abbreviations,
+ 	<productname>PostgreSQL</productname> will accept time zone
+ 	specifications of the form <replaceable>STD</><replaceable>offset</> or
+ 	<replaceable>STD</><replaceable>offset</><replaceable>DST</>, where
+ 	<replaceable>STD</> is a zone abbreviation, <replaceable>offset</> is a
+ 	numeric offset in hours west from UTC, and <replaceable>DST</> is an
+ 	optional daylight-savings zone abbreviation, assumed to stand for one
+ 	hour ahead of the given offset. For example, if <literal>EST5EDT</>
+ 	were not already a recognized zone name, it would be accepted and would
+ 	be functionally equivalent to USA East Coast time.  When a
+ 	daylight-savings zone name is present, it is assumed to be used
+ 	according to USA time zone rules, so this feature is of limited use
+ 	outside North America.  One should also be wary that this provision can
+ 	lead to silently accepting bogus input, since there is no check on the
+ 	reasonableness of the zone abbreviations.  For example, <literal>SET
+ 	TIMEZONE TO FOOBAR0</> will work, leaving the system effectively using
+ 	a rather peculiar abbreviation for GMT.
+        </para>
+       </listitem>
+      </itemizedlist>
+ 
+      There is a conceptual and practical difference between the abbreviations
+      and the full names: abbreviations always represent a fixed offset from
+      UTC, whereas most of the full names imply a local daylight-savings time
+      rule and so have two possible UTC offsets. That's why you always have to
+      specify a date if you want to use full time zone names in <type>timetz</>
+      values. This is also the reason why you should set your local time zone
+      to a full time zone name: this way, <productname>PostgreSQL</productname>
+      will always know the correct UTC offset for your region.
+     </para>
+     <para>
+      Note that timezone names are <emphasis>not</> used for date/time output
+      &mdash; all supported output formats use numeric timezone displays to
+      avoid ambiguity.
+     </para>
+ 
+ 
+     <para>
       The <xref linkend="guc-timezone"> configuration parameter can
       be set in the file <filename>postgresql.conf</>, or in any of the
       other standard ways described in <xref linkend="runtime-config">.
***************
*** 2191,2202 ****
        </listitem>
       </itemizedlist>
      </para>
- 
-    <para>
-     Refer to <xref linkend="datetime-appendix"> for a list of
-     available time zones.
-    </para>
- 
     </sect2>
  
     <sect2 id="datatype-datetime-internals">
--- 2257,2262 ----
Index: datetime.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/datetime.sgml,v
retrieving revision 2.52
diff -c -r2.52 datetime.sgml
*** datetime.sgml	16 Sep 2006 00:30:12 -0000	2.52
--- datetime.sgml	22 Sep 2006 10:56:16 -0000
***************
*** 359,2206 ****
      <primary>time zone</primary>
      <secondary>input abbreviations</secondary>
     </indexterm>
- 
-    <para>
-     <xref linkend="datetime-timezone-input-table"> shows the time zone
-     abbreviations recognized by <productname>PostgreSQL</productname>
-     in date/time input values.  These abbreviations are not
-     hard-wired into the server, but are obtained from a configuration
-     file (see <xref linkend="datetime-config-files">).  Note that these
-     names are <emphasis>not</> used for date/time output &mdash; all supported
-     output formats use numeric timezone displays to avoid ambiguity.
-    </para>
- 
-    <para>
-     In addition to these abbreviations, the full timezone names shown in
-     <xref linkend="datetime-timezone-full-names-table"> can be used
-     in date/time input values.  There is a conceptual and
-     practical difference between the abbreviations and the full names:
-     abbreviations always represent a fixed offset from UTC, whereas most
-     of the full names imply a local daylight-savings time rule and so
-     have two possible UTC offsets. That's why
-     you always have to specify a date if you want to use full time zone
-     names in <type>timetz</> values.
-    </para>
- 
-    <para>
-     The table is organized by time zone offset from <acronym>UTC</>,
-     rather than alphabetically.  This is intended to facilitate
-     matching local usage with recognized abbreviations for cases where
-     these might differ.
-    </para>
- 
-     <table id="datetime-timezone-input-table">
-      <title>Time Zone Abbreviations for Input</title>
-      <tgroup cols="3">
-       <thead>
-        <row>
-         <entry>Time Zone</entry>
-         <entry>Offset from UTC</entry>
-         <entry>Description</entry>
-        </row>
-       </thead>
-       <tbody>
-        <row>
-         <entry>NZDT</entry>
-         <entry>+13:00</entry>
-         <entry>New Zealand Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>IDLE</entry>
-         <entry>+12:00</entry>
-         <entry>International Date Line, East</entry>
-        </row>
-        <row>
-         <entry>NZST</entry>
-         <entry>+12:00</entry>
-         <entry>New Zealand Standard Time</entry>
-        </row>
-        <row>
-         <entry>NZT</entry>
-         <entry>+12:00</entry>
-         <entry>New Zealand Time</entry>
-        </row>
-        <row>
-         <entry>AESST</entry>
-         <entry>+11:00</entry>
-         <entry>Australia Eastern Summer Standard Time</entry>
-        </row>
-        <row>
-         <entry>ACSST</entry>
-         <entry>+10:30</entry>
-         <entry>Central Australia Summer Standard Time</entry>
-        </row>
-        <row>
-         <entry>CADT</entry>
-         <entry>+10:30</entry>
-         <entry>Central Australia Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>SADT</entry>
-         <entry>+10:30</entry>
-         <entry>South Australian Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>AEST</entry>
-         <entry>+10:00</entry>
-         <entry>Australia Eastern Standard Time</entry>
-        </row>
-        <row>
-         <entry>EAST</entry>
-         <entry>+10:00</entry>
-         <entry>East Australian Standard Time</entry>
-        </row>
-        <row>
-         <entry>GST</entry>
-         <entry>+10:00</entry>
-         <entry>Guam Standard Time, Russia zone 9</entry>
-        </row>
-        <row>
-         <entry>LIGT</entry>
-         <entry>+10:00</entry>
-         <entry>Melbourne, Australia</entry>
-        </row>
-        <row>
-         <entry>SAST</entry>
-         <entry>+09:30</entry>
-         <entry>South Australia Standard Time</entry>
-        </row>
-        <row>
-         <entry>CAST</entry>
-         <entry>+09:30</entry>
-         <entry>Central Australia Standard Time</entry>
-        </row>
-        <row>
-         <entry>AWSST</entry>
-         <entry>+09:00</entry>
-         <entry>Australia Western Summer Standard Time</entry>
-        </row>
-        <row>
-         <entry>JST</entry>
-         <entry>+09:00</entry>
-         <entry>Japan Standard Time, Russia zone 8</entry>
-        </row>
-        <row>
-         <entry>KST</entry>
-         <entry>+09:00</entry>
-         <entry>Korea Standard Time</entry>
-        </row>
-        <row>
-         <entry>MHT</entry>
-         <entry>+09:00</entry>
-         <entry>Kwajalein Time</entry>
-        </row>
-        <row>
-         <entry>WDT</entry>
-         <entry>+09:00</entry>
-         <entry>West Australian Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>MT</entry>
-         <entry>+08:30</entry>
-         <entry>Moluccas Time</entry>
-        </row>
-        <row>
-         <entry>AWST</entry>
-         <entry>+08:00</entry>
-         <entry>Australia Western Standard Time</entry>
-        </row>
-        <row>
-         <entry>CCT</entry>
-         <entry>+08:00</entry>
-         <entry>China Coastal Time</entry>
-        </row>
-        <row>
-         <entry>WADT</entry>
-         <entry>+08:00</entry>
-         <entry>West Australian Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>WST</entry>
-         <entry>+08:00</entry>
-         <entry>West Australian Standard Time</entry>
-        </row>
-        <row>
-         <entry>JT</entry>
-         <entry>+07:30</entry>
-         <entry>Java Time</entry>
-        </row>
-        <row>
-         <entry>ALMST</entry>
-         <entry>+07:00</entry>
-         <entry>Almaty Summer Time</entry>
-        </row>
-        <row>
-         <entry>WAST</entry>
-         <entry>+07:00</entry>
-         <entry>West Australian Standard Time</entry>
-        </row>
-        <row>
-         <entry>CXT</entry>
-         <entry>+07:00</entry>
-         <entry>Christmas (Island) Time</entry>
-        </row>
-        <row>
-         <entry>MMT</entry>
-         <entry>+06:30</entry>
-         <entry>Myanmar Time</entry>
-        </row>
-        <row>
-         <entry>ALMT</entry>
-         <entry>+06:00</entry>
-         <entry>Almaty Time</entry>
-        </row>
-        <row>
-         <entry>MAWT</entry>
-         <entry>+06:00</entry>
-         <entry>Mawson (Antarctica) Time</entry>
-        </row>
-        <row>
-         <entry>IOT</entry>
-         <entry>+05:00</entry>
-         <entry>Indian Chagos Time</entry>
-        </row>
-        <row>
-         <entry>MVT</entry>
-         <entry>+05:00</entry>
-         <entry>Maldives Island Time</entry>
-        </row>
-        <row>
-         <entry>TFT</entry>
-         <entry>+05:00</entry>
-         <entry>Kerguelen Time</entry>
-        </row>
-        <row>
-         <entry>AFT</entry>
-         <entry>+04:30</entry>
-         <entry>Afghanistan Time</entry>
-        </row>
-        <row>
-         <entry>EAST</entry>
-         <entry>+04:00</entry>
-         <entry>Antananarivo Summer Time</entry>
-        </row>
-        <row>
-         <entry>MUT</entry>
-         <entry>+04:00</entry>
-         <entry>Mauritius Island Time</entry>
-        </row>
-        <row>
-         <entry>RET</entry>
-         <entry>+04:00</entry>
-         <entry>Reunion Island Time</entry>
-        </row>
-        <row>
-         <entry>SCT</entry>
-         <entry>+04:00</entry>
-         <entry>Mahe Island Time</entry>
-        </row>
-        <row>
-         <entry>IRT, IT</entry>
-         <entry>+03:30</entry>
-         <entry>Iran Time</entry>
-        </row>
-        <row>
-         <entry>EAT</entry>
-         <entry>+03:00</entry>
-         <entry>Antananarivo, Comoro Time</entry>
-        </row>
-        <row>
-         <entry>BT</entry>
-         <entry>+03:00</entry>
-         <entry>Baghdad Time</entry>
-        </row>
-        <row>
-         <entry>EETDST</entry>
-         <entry>+03:00</entry>
-         <entry>Eastern Europe Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>HMT</entry>
-         <entry>+03:00</entry>
-         <entry>Hellas Mediterranean Time (?)</entry>
-        </row>
-        <row>
-         <entry>BDST</entry>
-         <entry>+02:00</entry>
-         <entry>British Double Summer Time</entry>
-        </row>
-        <row>
-         <entry>CEST</entry>
-         <entry>+02:00</entry>
-         <entry>Central European Summer Time</entry>
-        </row>
-        <row>
-         <entry>CETDST</entry>
-         <entry>+02:00</entry>
-         <entry>Central European Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>EET</entry>
-         <entry>+02:00</entry>
-         <entry>Eastern European Time, Russia zone 1</entry>
-        </row>
-        <row>
-         <entry>FWT</entry>
-         <entry>+02:00</entry>
-         <entry>French Winter Time</entry>
-        </row>
-        <row>
-         <entry>IST</entry>
-         <entry>+02:00</entry>
-         <entry>Israel Standard Time</entry>
-        </row>
-        <row>
-         <entry>MEST</entry>
-         <entry>+02:00</entry>
-         <entry>Middle European Summer Time</entry>
-        </row>
-        <row>
-         <entry>METDST</entry>
-         <entry>+02:00</entry>
-         <entry>Middle Europe Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>SST</entry>
-         <entry>+02:00</entry>
-         <entry>Swedish Summer Time</entry>
-        </row>
-        <row>
-         <entry>BST</entry>
-         <entry>+01:00</entry>
-         <entry>British Summer Time</entry>
-        </row>
-        <row>
-         <entry>CET</entry>
-         <entry>+01:00</entry>
-         <entry>Central European Time</entry>
-        </row>
-        <row>
-         <entry>DNT</entry>
-         <entry>+01:00</entry>
-         <entry><foreignphrase>Dansk Normal Tid</foreignphrase></entry>
-        </row>
-        <row>
-         <entry>FST</entry>
-         <entry>+01:00</entry>
-         <entry>French Summer Time</entry>
-        </row>
-        <row>
-         <entry>MET</entry>
-         <entry>+01:00</entry>
-         <entry>Middle European Time</entry>
-        </row>
-        <row>
-         <entry>MEWT</entry>
-         <entry>+01:00</entry>
-         <entry>Middle European Winter Time</entry>
-        </row>
-        <row>
-         <entry>MEZ</entry>
-         <entry>+01:00</entry>
-         <entry><foreignphrase>Mitteleuropische Zeit</></entry>
-        </row>
-        <row>
-         <entry>NOR</entry>
-         <entry>+01:00</entry>
-         <entry>Norway Standard Time</entry>
-        </row>
-        <row>
-         <entry>SET</entry>
-         <entry>+01:00</entry>
-         <entry>Seychelles Time</entry>
-        </row>
-        <row>
-         <entry>SWT</entry>
-         <entry>+01:00</entry>
-         <entry>Swedish Winter Time</entry>
-        </row>
-        <row>
-         <entry>WETDST</entry>
-         <entry>+01:00</entry>
-         <entry>Western European Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>GMT</entry>
-         <entry>00:00</entry>
-         <entry>Greenwich Mean Time</entry>
-        </row>
-        <row>
-         <entry>UT</entry>
-         <entry>00:00</entry>
-         <entry>Universal Time</entry>
-        </row>
-        <row>
-         <entry>UTC</entry>
-         <entry>00:00</entry>
-         <entry>Universal Coordinated Time</entry>
-        </row>
-        <row>
-         <entry>Z</entry>
-         <entry>00:00</entry>
-         <entry>Same as UTC</entry>
-        </row>
-        <row>
-         <entry>ZULU</entry>
-         <entry>00:00</entry>
-         <entry>Same as UTC</entry>
-        </row>
-        <row>
-         <entry>WET</entry>
-         <entry>00:00</entry>
-         <entry>Western European Time</entry>
-        </row>
-        <row>
-         <entry>WAT</entry>
-         <entry>-01:00</entry>
-         <entry>West Africa Time</entry>
-        </row>
-        <row>
-         <entry>FNST</entry>
-         <entry>-01:00</entry>
-         <entry>Fernando de Noronha Summer Time</entry>
-        </row>
-        <row>
-         <entry>FNT</entry>
-         <entry>-02:00</entry>
-         <entry>Fernando de Noronha Time</entry>
-        </row>
-        <row>
-         <entry>BRST</entry>
-         <entry>-02:00</entry>
-         <entry>Brasilia Summer Time</entry>
-        </row>
-        <row>
-         <entry>NDT</entry>
-         <entry>-02:30</entry>
-         <entry>Newfoundland Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>ADT</entry>
-         <entry>-03:00</entry>
-         <entry>Atlantic Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>AWT</entry>
-         <entry>-03:00</entry>
-         <entry>(unknown)</entry>
-        </row>
-        <row>
-         <entry>BRT</entry>
-         <entry>-03:00</entry>
-         <entry>Brasilia Time</entry>
-        </row>
-        <row>
-         <entry>NFT</entry>
-         <entry>-03:30</entry>
-         <entry>Newfoundland Standard Time</entry>
-        </row>
-        <row>
-         <entry>NST</entry>
-         <entry>-03:30</entry>
-         <entry>Newfoundland Standard Time</entry>
-        </row>
-        <row>
-         <entry>AST</entry>
-         <entry>-04:00</entry>
-         <entry>Atlantic Standard Time (Canada)</entry>
-        </row>
-        <row>
-         <entry>ACST</entry>
-         <entry>-04:00</entry>
-         <entry>Atlantic/Porto Acre Summer Time</entry>
-        </row>
-        <row>
-         <entry>EDT</entry>
-         <entry>-04:00</entry>
-         <entry>Eastern Daylight-Saving Time</entry>
-        </row>
-        <!--
-       <row>
-       <entry>ZP4</entry>
-       <entry>-04:00</entry>
-       <entry>GMT +4 hours</entry>
-       </row>
-        -->
-        <row>
-         <entry>ACT</entry>
-         <entry>-05:00</entry>
-         <entry>Atlantic/Porto Acre Standard Time</entry>
-        </row>
-        <row>
-         <entry>CDT</entry>
-         <entry>-05:00</entry>
-         <entry>Central Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>EST</entry>
-         <entry>-05:00</entry>
-         <entry>Eastern Standard Time</entry>
-        </row>
-        <!--
-       <row>
-       <entry>ZP5</entry>
-       <entry>-05:00</entry>
-       <entry>GMT +5  hours</entry>
-       </row>
-        -->
-        <row>
-         <entry>CST</entry>
-         <entry>-06:00</entry>
-         <entry>Central Standard Time</entry>
-        </row>
-        <row>
-         <entry>MDT</entry>
-         <entry>-06:00</entry>
-         <entry>Mountain Daylight-Saving Time</entry>
-        </row>
-        <!--
-       <row>
-       <entry>ZP6</entry>
-       <entry>-06:00</entry>
-       <entry>GMT +6  hours</entry>
-       </row>
-        -->
-        <row>
-         <entry>MST</entry>
-         <entry>-07:00</entry>
-         <entry>Mountain Standard Time</entry>
-        </row>
-        <row>
-         <entry>PDT</entry>
-         <entry>-07:00</entry>
-         <entry>Pacific Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>AKDT</entry>
-         <entry>-08:00</entry>
-         <entry>Alaska Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>PST</entry>
-         <entry>-08:00</entry>
-         <entry>Pacific Standard Time</entry>
-        </row>
-        <row>
-         <entry>YDT</entry>
-         <entry>-08:00</entry>
-         <entry>Yukon Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>AKST</entry>
-         <entry>-09:00</entry>
-         <entry>Alaska Standard Time</entry>
-        </row>
-        <row>
-         <entry>HDT</entry>
-         <entry>-09:00</entry>
-         <entry>Hawaii/Alaska Daylight-Saving Time</entry>
-        </row>
-        <row>
-         <entry>YST</entry>
-         <entry>-09:00</entry>
-         <entry>Yukon Standard Time</entry>
-        </row>
-        <row>
-         <entry>MART</entry>
-         <entry>-09:30</entry>
-         <entry>Marquesas Time</entry>
-        </row>
-        <row>
-         <entry>AHST</entry>
-         <entry>-10:00</entry>
-         <entry>Alaska/Hawaii Standard Time</entry>
-        </row>
-        <row>
-         <entry>HST</entry>
-         <entry>-10:00</entry>
-         <entry>Hawaii Standard Time</entry>
-        </row>
-        <row>
-         <entry>CAT</entry>
-         <entry>-10:00</entry>
-         <entry>Central Alaska Time</entry>
-        </row>
-        <row>
-         <entry>NT</entry>
-         <entry>-11:00</entry>
-         <entry>Nome Time</entry>
-        </row>
-        <row>
-         <entry>IDLW</entry>
-         <entry>-12:00</entry>
-         <entry>International Date Line, West</entry>
-        </row>
-       </tbody>
-      </tgroup>
-     </table>
- 
-    <indexterm>
-     <primary>time zone</primary>
-     <secondary>configuration names</secondary>
-    </indexterm>
- 
-    <para>
-     <xref linkend="datetime-timezone-full-names-table"> shows the time zone
-     names recognized by <productname>PostgreSQL</productname> as valid
-     settings for the <xref linkend="guc-timezone"> parameter.  These names
-     are not hard-wired into the server, but are in fact names of configuration
-     files stored under <filename>.../share/timezone/</> of the installation
-     directory.
-    </para>
- 
-    <para>
-     In many cases there are several equivalent names for the same zone.
-     These are listed on the same line.  The table is primarily sorted
-     by the name of the principal city of the zone.
-    </para>
- 
-     <table id="datetime-timezone-full-names-table">
-      <title>Time Zone Names for setting <varname>timezone</></title>
-      <tgroup cols="1">
-       <thead>
-        <row>
-         <entry>Time Zone</entry>
-        </row>
-       </thead>
- <tbody>
-  <row>
-   <entry>Africa/Abidjan</entry>
-  </row>
-  <row>
-   <entry>Africa/Accra</entry>
-  </row>
-  <row>
-   <entry>Africa/Addis_Ababa</entry>
-  </row>
-  <row>
-   <entry>Africa/Algiers</entry>
-  </row>
-  <row>
-   <entry>Africa/Asmera</entry>
-  </row>
-  <row>
-   <entry>Africa/Bamako</entry>
-  </row>
-  <row>
-   <entry>Africa/Bangui</entry>
-  </row>
-  <row>
-   <entry>Africa/Banjul</entry>
-  </row>
-  <row>
-   <entry>Africa/Bissau</entry>
-  </row>
-  <row>
-   <entry>Africa/Blantyre</entry>
-  </row>
-  <row>
-   <entry>Africa/Brazzaville</entry>
-  </row>
-  <row>
-   <entry>Africa/Bujumbura</entry>
-  </row>
-  <row>
-   <entry>Africa/Cairo Egypt</entry>
-  </row>
-  <row>
-   <entry>Africa/Casablanca</entry>
-  </row>
-  <row>
-   <entry>Africa/Ceuta</entry>
-  </row>
-  <row>
-   <entry>Africa/Conakry</entry>
-  </row>
-  <row>
-   <entry>Africa/Dakar</entry>
-  </row>
-  <row>
-   <entry>Africa/Dar_es_Salaam</entry>
-  </row>
-  <row>
-   <entry>Africa/Djibouti</entry>
-  </row>
-  <row>
-   <entry>Africa/Douala</entry>
-  </row>
-  <row>
-   <entry>Africa/El_Aaiun</entry>
-  </row>
-  <row>
-   <entry>Africa/Freetown</entry>
-  </row>
-  <row>
-   <entry>Africa/Gaborone</entry>
-  </row>
-  <row>
-   <entry>Africa/Harare</entry>
-  </row>
-  <row>
-   <entry>Africa/Johannesburg</entry>
-  </row>
-  <row>
-   <entry>Africa/Kampala</entry>
-  </row>
-  <row>
-   <entry>Africa/Khartoum</entry>
-  </row>
-  <row>
-   <entry>Africa/Kigali</entry>
-  </row>
-  <row>
-   <entry>Africa/Kinshasa</entry>
-  </row>
-  <row>
-   <entry>Africa/Lagos</entry>
-  </row>
-  <row>
-   <entry>Africa/Libreville</entry>
-  </row>
-  <row>
-   <entry>Africa/Lome</entry>
-  </row>
-  <row>
-   <entry>Africa/Luanda</entry>
-  </row>
-  <row>
-   <entry>Africa/Lubumbashi</entry>
-  </row>
-  <row>
-   <entry>Africa/Lusaka</entry>
-  </row>
-  <row>
-   <entry>Africa/Malabo</entry>
-  </row>
-  <row>
-   <entry>Africa/Maputo</entry>
-  </row>
-  <row>
-   <entry>Africa/Maseru</entry>
-  </row>
-  <row>
-   <entry>Africa/Mbabane</entry>
-  </row>
-  <row>
-   <entry>Africa/Mogadishu</entry>
-  </row>
-  <row>
-   <entry>Africa/Monrovia</entry>
-  </row>
-  <row>
-   <entry>Africa/Nairobi</entry>
-  </row>
-  <row>
-   <entry>Africa/Ndjamena</entry>
-  </row>
-  <row>
-   <entry>Africa/Niamey</entry>
-  </row>
-  <row>
-   <entry>Africa/Nouakchott</entry>
-  </row>
-  <row>
-   <entry>Africa/Ouagadougou</entry>
-  </row>
-  <row>
-   <entry>Africa/Porto-Novo</entry>
-  </row>
-  <row>
-   <entry>Africa/Sao_Tome</entry>
-  </row>
-  <row>
-   <entry>Africa/Timbuktu</entry>
-  </row>
-  <row>
-   <entry>Africa/Tripoli Libya</entry>
-  </row>
-  <row>
-   <entry>Africa/Tunis</entry>
-  </row>
-  <row>
-   <entry>Africa/Windhoek</entry>
-  </row>
-  <row>
-   <entry>America/Adak America/Atka US/Aleutian</entry>
-  </row>
-  <row>
-   <entry>America/Anchorage SystemV/YST9YDT US/Alaska</entry>
-  </row>
-  <row>
-   <entry>America/Anguilla</entry>
-  </row>
-  <row>
-   <entry>America/Antigua</entry>
-  </row>
-  <row>
-   <entry>America/Araguaina</entry>
-  </row>
-  <row>
-   <entry>America/Aruba</entry>
-  </row>
-  <row>
-   <entry>America/Asuncion</entry>
-  </row>
-  <row>
-   <entry>America/Bahia</entry>
-  </row>
-  <row>
-   <entry>America/Barbados</entry>
-  </row>
-  <row>
-   <entry>America/Belem</entry>
-  </row>
-  <row>
-   <entry>America/Belize</entry>
-  </row>
-  <row>
-   <entry>America/Boa_Vista</entry>
-  </row>
-  <row>
-   <entry>America/Bogota</entry>
-  </row>
-  <row>
-   <entry>America/Boise</entry>
-  </row>
-  <row>
-   <entry>America/Buenos_Aires</entry>
-  </row>
-  <row>
-   <entry>America/Cambridge_Bay</entry>
-  </row>
-  <row>
-   <entry>America/Campo_Grande</entry>
-  </row>
-  <row>
-   <entry>America/Cancun</entry>
-  </row>
-  <row>
-   <entry>America/Caracas</entry>
-  </row>
-  <row>
-   <entry>America/Catamarca</entry>
-  </row>
-  <row>
-   <entry>America/Cayenne</entry>
-  </row>
-  <row>
-   <entry>America/Cayman</entry>
-  </row>
-  <row>
-   <entry>America/Chicago CST6CDT SystemV/CST6CDT US/Central</entry>
-  </row>
-  <row>
-   <entry>America/Chihuahua</entry>
-  </row>
-  <row>
-   <entry>America/Cordoba America/Rosario</entry>
-  </row>
-  <row>
-   <entry>America/Costa_Rica</entry>
-  </row>
-  <row>
-   <entry>America/Cuiaba</entry>
-  </row>
-  <row>
-   <entry>America/Curacao</entry>
-  </row>
-  <row>
-   <entry>America/Danmarkshavn</entry>
-  </row>
-  <row>
-   <entry>America/Dawson</entry>
-  </row>
-  <row>
-   <entry>America/Dawson_Creek</entry>
-  </row>
-  <row>
-   <entry>America/Denver MST7MDT SystemV/MST7MDT US/Mountain America/Shiprock Navajo</entry>
-  </row>
-  <row>
-   <entry>America/Detroit US/Michigan</entry>
-  </row>
-  <row>
-   <entry>America/Dominica</entry>
-  </row>
-  <row>
-   <entry>America/Edmonton Canada/Mountain</entry>
-  </row>
-  <row>
-   <entry>America/Eirunepe</entry>
-  </row>
-  <row>
-   <entry>America/El_Salvador</entry>
-  </row>
-  <row>
-   <entry>America/Ensenada America/Tijuana Mexico/BajaNorte</entry>
-  </row>
-  <row>
-   <entry>America/Fortaleza</entry>
-  </row>
-  <row>
-   <entry>America/Glace_Bay</entry>
-  </row>
-  <row>
-   <entry>America/Godthab</entry>
-  </row>
-  <row>
-   <entry>America/Goose_Bay</entry>
-  </row>
-  <row>
-   <entry>America/Grand_Turk</entry>
-  </row>
-  <row>
-   <entry>America/Grenada</entry>
-  </row>
-  <row>
-   <entry>America/Guadeloupe</entry>
-  </row>
-  <row>
-   <entry>America/Guatemala</entry>
-  </row>
-  <row>
-   <entry>America/Guayaquil</entry>
-  </row>
-  <row>
-   <entry>America/Guyana</entry>
-  </row>
-  <row>
-   <entry>America/Halifax Canada/Atlantic SystemV/AST4ADT</entry>
-  </row>
-  <row>
-   <entry>America/Havana Cuba</entry>
-  </row>
-  <row>
-   <entry>America/Hermosillo</entry>
-  </row>
-  <row>
-   <entry>America/Indiana/Indianapolis America/Indianapolis America/Fort_Wayne EST SystemV/EST5 US/East-Indiana</entry>
-  </row>
-  <row>
-   <entry>America/Indiana/Knox America/Knox_IN US/Indiana-Starke</entry>
-  </row>
-  <row>
-   <entry>America/Indiana/Marengo</entry>
-  </row>
-  <row>
-   <entry>America/Indiana/Vevay</entry>
-  </row>
-  <row>
-   <entry>America/Inuvik</entry>
-  </row>
-  <row>
-   <entry>America/Iqaluit</entry>
-  </row>
-  <row>
-   <entry>America/Jamaica Jamaica</entry>
-  </row>
-  <row>
-   <entry>America/Jujuy</entry>
-  </row>
-  <row>
-   <entry>America/Juneau</entry>
-  </row>
-  <row>
-   <entry>America/Kentucky/Louisville America/Louisville</entry>
-  </row>
-  <row>
-   <entry>America/Kentucky/Monticello</entry>
-  </row>
-  <row>
-   <entry>America/La_Paz</entry>
-  </row>
-  <row>
-   <entry>America/Lima</entry>
-  </row>
-  <row>
-   <entry>America/Los_Angeles PST8PDT SystemV/PST8PDT US/Pacific US/Pacific-New</entry>
-  </row>
-  <row>
-   <entry>America/Maceio</entry>
-  </row>
-  <row>
-   <entry>America/Managua</entry>
-  </row>
-  <row>
-   <entry>America/Manaus Brazil/West</entry>
-  </row>
-  <row>
-   <entry>America/Martinique</entry>
-  </row>
-  <row>
-   <entry>America/Mazatlan Mexico/BajaSur</entry>
-  </row>
-  <row>
-   <entry>America/Mendoza</entry>
-  </row>
-  <row>
-   <entry>America/Menominee</entry>
-  </row>
-  <row>
-   <entry>America/Merida</entry>
-  </row>
-  <row>
-   <entry>America/Mexico_City Mexico/General</entry>
-  </row>
-  <row>
-   <entry>America/Miquelon</entry>
-  </row>
-  <row>
-   <entry>America/Monterrey</entry>
-  </row>
-  <row>
-   <entry>America/Montevideo</entry>
-  </row>
-  <row>
-   <entry>America/Montreal</entry>
-  </row>
-  <row>
-   <entry>America/Montserrat</entry>
-  </row>
-  <row>
-   <entry>America/Nassau</entry>
-  </row>
-  <row>
-   <entry>America/New_York EST5EDT SystemV/EST5EDT US/Eastern</entry>
-  </row>
-  <row>
-   <entry>America/Nipigon</entry>
-  </row>
-  <row>
-   <entry>America/Nome</entry>
-  </row>
-  <row>
-   <entry>America/Noronha Brazil/DeNoronha</entry>
-  </row>
-  <row>
-   <entry>America/North_Dakota/Center</entry>
-  </row>
-  <row>
-   <entry>America/Panama</entry>
-  </row>
-  <row>
-   <entry>America/Pangnirtung</entry>
-  </row>
-  <row>
-   <entry>America/Paramaribo</entry>
-  </row>
-  <row>
-   <entry>America/Phoenix MST SystemV/MST7 US/Arizona</entry>
-  </row>
-  <row>
-   <entry>America/Port-au-Prince</entry>
-  </row>
-  <row>
-   <entry>America/Port_of_Spain</entry>
-  </row>
-  <row>
-   <entry>America/Porto_Acre America/Rio_Branco Brazil/Acre</entry>
-  </row>
-  <row>
-   <entry>America/Porto_Velho</entry>
-  </row>
-  <row>
-   <entry>America/Puerto_Rico SystemV/AST4</entry>
-  </row>
-  <row>
-   <entry>America/Rainy_River</entry>
-  </row>
-  <row>
-   <entry>America/Rankin_Inlet</entry>
-  </row>
-  <row>
-   <entry>America/Recife</entry>
-  </row>
-  <row>
-   <entry>America/Regina Canada/East-Saskatchewan Canada/Saskatchewan SystemV/CST6</entry>
-  </row>
-  <row>
-   <entry>America/Santiago Chile/Continental</entry>
-  </row>
-  <row>
-   <entry>America/Santo_Domingo</entry>
-  </row>
-  <row>
-   <entry>America/Sao_Paulo Brazil/East</entry>
-  </row>
-  <row>
-   <entry>America/Scoresbysund</entry>
-  </row>
-  <row>
-   <entry>America/St_Johns Canada/Newfoundland</entry>
-  </row>
-  <row>
-   <entry>America/St_Kitts</entry>
-  </row>
-  <row>
-   <entry>America/St_Lucia</entry>
-  </row>
-  <row>
-   <entry>America/St_Thomas America/Virgin</entry>
-  </row>
-  <row>
-   <entry>America/St_Vincent</entry>
-  </row>
-  <row>
-   <entry>America/Swift_Current</entry>
-  </row>
-  <row>
-   <entry>America/Tegucigalpa</entry>
-  </row>
-  <row>
-   <entry>America/Thule</entry>
-  </row>
-  <row>
-   <entry>America/Thunder_Bay</entry>
-  </row>
-  <row>
-   <entry>America/Toronto Canada/Eastern</entry>
-  </row>
-  <row>
-   <entry>America/Tortola</entry>
-  </row>
-  <row>
-   <entry>America/Vancouver Canada/Pacific</entry>
-  </row>
-  <row>
-   <entry>America/Whitehorse Canada/Yukon</entry>
-  </row>
-  <row>
-   <entry>America/Winnipeg Canada/Central</entry>
-  </row>
-  <row>
-   <entry>America/Yakutat</entry>
-  </row>
-  <row>
-   <entry>America/Yellowknife</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Casey</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Davis</entry>
-  </row>
-  <row>
-   <entry>Antarctica/DumontDUrville</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Mawson</entry>
-  </row>
-  <row>
-   <entry>Antarctica/McMurdo Antarctica/South_Pole</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Palmer</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Rothera</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Syowa</entry>
-  </row>
-  <row>
-   <entry>Antarctica/Vostok</entry>
-  </row>
-  <row>
-   <entry>Asia/Aden</entry>
-  </row>
-  <row>
-   <entry>Asia/Almaty</entry>
-  </row>
-  <row>
-   <entry>Asia/Amman</entry>
-  </row>
-  <row>
-   <entry>Asia/Anadyr</entry>
-  </row>
-  <row>
-   <entry>Asia/Aqtau</entry>
-  </row>
-  <row>
-   <entry>Asia/Aqtobe</entry>
-  </row>
-  <row>
-   <entry>Asia/Ashgabat Asia/Ashkhabad</entry>
-  </row>
-  <row>
-   <entry>Asia/Baghdad</entry>
-  </row>
-  <row>
-   <entry>Asia/Bahrain</entry>
-  </row>
-  <row>
-   <entry>Asia/Baku</entry>
-  </row>
-  <row>
-   <entry>Asia/Bangkok</entry>
-  </row>
-  <row>
-   <entry>Asia/Beirut</entry>
-  </row>
-  <row>
-   <entry>Asia/Bishkek</entry>
-  </row>
-  <row>
-   <entry>Asia/Brunei</entry>
-  </row>
-  <row>
-   <entry>Asia/Calcutta</entry>
-  </row>
-  <row>
-   <entry>Asia/Choibalsan</entry>
-  </row>
-  <row>
-   <entry>Asia/Chongqing Asia/Chungking</entry>
-  </row>
-  <row>
-   <entry>Asia/Colombo</entry>
-  </row>
-  <row>
-   <entry>Asia/Dacca Asia/Dhaka</entry>
-  </row>
-  <row>
-   <entry>Asia/Damascus</entry>
-  </row>
-  <row>
-   <entry>Asia/Dili</entry>
-  </row>
-  <row>
-   <entry>Asia/Dubai</entry>
-  </row>
-  <row>
-   <entry>Asia/Dushanbe</entry>
-  </row>
-  <row>
-   <entry>Asia/Gaza</entry>
-  </row>
-  <row>
-   <entry>Asia/Harbin</entry>
-  </row>
-  <row>
-   <entry>Asia/Hong_Kong Hongkong</entry>
-  </row>
-  <row>
-   <entry>Asia/Hovd</entry>
-  </row>
-  <row>
-   <entry>Asia/Irkutsk</entry>
-  </row>
-  <row>
-   <entry>Asia/Jakarta</entry>
-  </row>
-  <row>
-   <entry>Asia/Jayapura</entry>
-  </row>
-  <row>
-   <entry>Asia/Jerusalem Asia/Tel_Aviv Israel</entry>
-  </row>
-  <row>
-   <entry>Asia/Kabul</entry>
-  </row>
-  <row>
-   <entry>Asia/Kamchatka</entry>
-  </row>
-  <row>
-   <entry>Asia/Karachi</entry>
-  </row>
-  <row>
-   <entry>Asia/Kashgar</entry>
-  </row>
-  <row>
-   <entry>Asia/Katmandu</entry>
-  </row>
-  <row>
-   <entry>Asia/Krasnoyarsk</entry>
-  </row>
-  <row>
-   <entry>Asia/Kuala_Lumpur</entry>
-  </row>
-  <row>
-   <entry>Asia/Kuching</entry>
-  </row>
-  <row>
-   <entry>Asia/Kuwait</entry>
-  </row>
-  <row>
-   <entry>Asia/Macao Asia/Macau</entry>
-  </row>
-  <row>
-   <entry>Asia/Magadan</entry>
-  </row>
-  <row>
-   <entry>Asia/Makassar Asia/Ujung_Pandang</entry>
-  </row>
-  <row>
-   <entry>Asia/Manila</entry>
-  </row>
-  <row>
-   <entry>Asia/Muscat</entry>
-  </row>
-  <row>
-   <entry>Asia/Nicosia Europe/Nicosia</entry>
-  </row>
-  <row>
-   <entry>Asia/Novosibirsk</entry>
-  </row>
-  <row>
-   <entry>Asia/Omsk</entry>
-  </row>
-  <row>
-   <entry>Asia/Oral</entry>
-  </row>
-  <row>
-   <entry>Asia/Phnom_Penh</entry>
-  </row>
-  <row>
-   <entry>Asia/Pontianak</entry>
-  </row>
-  <row>
-   <entry>Asia/Pyongyang</entry>
-  </row>
-  <row>
-   <entry>Asia/Qatar</entry>
-  </row>
-  <row>
-   <entry>Asia/Qyzylorda</entry>
-  </row>
-  <row>
-   <entry>Asia/Rangoon</entry>
-  </row>
-  <row>
-   <entry>Asia/Riyadh</entry>
-  </row>
-  <row>
-   <entry>Asia/Riyadh87 Mideast/Riyadh87</entry>
-  </row>
-  <row>
-   <entry>Asia/Riyadh88 Mideast/Riyadh88</entry>
-  </row>
-  <row>
-   <entry>Asia/Riyadh89 Mideast/Riyadh89</entry>
-  </row>
-  <row>
-   <entry>Asia/Saigon</entry>
-  </row>
-  <row>
-   <entry>Asia/Sakhalin</entry>
-  </row>
-  <row>
-   <entry>Asia/Samarkand</entry>
-  </row>
-  <row>
-   <entry>Asia/Seoul ROK</entry>
-  </row>
-  <row>
-   <entry>Asia/Shanghai PRC</entry>
-  </row>
-  <row>
-   <entry>Asia/Singapore Singapore</entry>
-  </row>
-  <row>
-   <entry>Asia/Taipei ROC</entry>
-  </row>
-  <row>
-   <entry>Asia/Tashkent</entry>
-  </row>
-  <row>
-   <entry>Asia/Tbilisi</entry>
-  </row>
-  <row>
-   <entry>Asia/Tehran Iran</entry>
-  </row>
-  <row>
-   <entry>Asia/Thimbu Asia/Thimphu</entry>
-  </row>
-  <row>
-   <entry>Asia/Tokyo Japan</entry>
-  </row>
-  <row>
-   <entry>Asia/Ulaanbaatar Asia/Ulan_Bator</entry>
-  </row>
-  <row>
-   <entry>Asia/Urumqi</entry>
-  </row>
-  <row>
-   <entry>Asia/Vientiane</entry>
-  </row>
-  <row>
-   <entry>Asia/Vladivostok</entry>
-  </row>
-  <row>
-   <entry>Asia/Yakutsk</entry>
-  </row>
-  <row>
-   <entry>Asia/Yekaterinburg</entry>
-  </row>
-  <row>
-   <entry>Asia/Yerevan</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Azores</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Bermuda</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Canary</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Cape_Verde</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Faeroe</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Madeira</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Reykjavik Iceland</entry>
-  </row>
-  <row>
-   <entry>Atlantic/South_Georgia</entry>
-  </row>
-  <row>
-   <entry>Atlantic/St_Helena</entry>
-  </row>
-  <row>
-   <entry>Atlantic/Stanley</entry>
-  </row>
-  <row>
-   <entry>Australia/ACT Australia/Canberra Australia/NSW Australia/Sydney</entry>
-  </row>
-  <row>
-   <entry>Australia/Adelaide Australia/South</entry>
-  </row>
-  <row>
-   <entry>Australia/Brisbane Australia/Queensland</entry>
-  </row>
-  <row>
-   <entry>Australia/Broken_Hill Australia/Yancowinna</entry>
-  </row>
-  <row>
-   <entry>Australia/Darwin Australia/North</entry>
-  </row>
-  <row>
-   <entry>Australia/Hobart Australia/Tasmania</entry>
-  </row>
-  <row>
-   <entry>Australia/LHI Australia/Lord_Howe</entry>
-  </row>
-  <row>
-   <entry>Australia/Lindeman</entry>
-  </row>
-  <row>
-   <entry>Australia/Melbourne Australia/Victoria</entry>
-  </row>
-  <row>
-   <entry>Australia/Perth Australia/West</entry>
-  </row>
-  <row>
-   <entry>CET</entry>
-  </row>
-  <row>
-   <entry>EET</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+1</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+2</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+3</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+4</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+5</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+6</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+7</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+8</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+9</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+10</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+11</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT+12</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-1</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-2</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-3</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-4</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-5</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-6</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-7</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-8</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-9</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-10</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-11</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-12</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-13</entry>
-  </row>
-  <row>
-   <entry>Etc/GMT-14</entry>
-  </row>
-  <row>
-   <entry>Europe/Amsterdam</entry>
-  </row>
-  <row>
-   <entry>Europe/Andorra</entry>
-  </row>
-  <row>
-   <entry>Europe/Athens</entry>
-  </row>
-  <row>
-   <entry>Europe/Belfast</entry>
-  </row>
-  <row>
-   <entry>Europe/Belgrade Europe/Ljubljana Europe/Sarajevo Europe/Skopje Europe/Zagreb</entry>
-  </row>
-  <row>
-   <entry>Europe/Berlin</entry>
-  </row>
-  <row>
-   <entry>Europe/Brussels</entry>
-  </row>
-  <row>
-   <entry>Europe/Bucharest</entry>
-  </row>
-  <row>
-   <entry>Europe/Budapest</entry>
-  </row>
-  <row>
-   <entry>Europe/Chisinau Europe/Tiraspol</entry>
-  </row>
-  <row>
-   <entry>Europe/Copenhagen</entry>
-  </row>
-  <row>
-   <entry>Europe/Dublin Eire</entry>
-  </row>
-  <row>
-   <entry>Europe/Gibraltar</entry>
-  </row>
-  <row>
-   <entry>Europe/Helsinki</entry>
-  </row>
-  <row>
-   <entry>Europe/Istanbul Asia/Istanbul Turkey</entry>
-  </row>
-  <row>
-   <entry>Europe/Kaliningrad</entry>
-  </row>
-  <row>
-   <entry>Europe/Kiev</entry>
-  </row>
-  <row>
-   <entry>Europe/Lisbon Portugal</entry>
-  </row>
-  <row>
-   <entry>Europe/London GB GB-Eire</entry>
-  </row>
-  <row>
-   <entry>Europe/Luxembourg</entry>
-  </row>
-  <row>
-   <entry>Europe/Madrid</entry>
-  </row>
-  <row>
-   <entry>Europe/Malta</entry>
-  </row>
-  <row>
-   <entry>Europe/Minsk</entry>
-  </row>
-  <row>
-   <entry>Europe/Monaco</entry>
-  </row>
-  <row>
-   <entry>Europe/Moscow W-SU</entry>
-  </row>
-  <row>
-   <entry>Europe/Oslo Arctic/Longyearbyen Atlantic/Jan_Mayen</entry>
-  </row>
-  <row>
-   <entry>Europe/Paris</entry>
-  </row>
-  <row>
-   <entry>Europe/Prague Europe/Bratislava</entry>
-  </row>
-  <row>
-   <entry>Europe/Riga</entry>
-  </row>
-  <row>
-   <entry>Europe/Rome Europe/San_Marino Europe/Vatican</entry>
-  </row>
-  <row>
-   <entry>Europe/Samara</entry>
-  </row>
-  <row>
-   <entry>Europe/Simferopol</entry>
-  </row>
-  <row>
-   <entry>Europe/Sofia</entry>
-  </row>
-  <row>
-   <entry>Europe/Stockholm</entry>
-  </row>
-  <row>
-   <entry>Europe/Tallinn</entry>
-  </row>
-  <row>
-   <entry>Europe/Tirane</entry>
-  </row>
-  <row>
-   <entry>Europe/Uzhgorod</entry>
-  </row>
-  <row>
-   <entry>Europe/Vaduz</entry>
-  </row>
-  <row>
-   <entry>Europe/Vienna</entry>
-  </row>
-  <row>
-   <entry>Europe/Vilnius</entry>
-  </row>
-  <row>
-   <entry>Europe/Warsaw Poland</entry>
-  </row>
-  <row>
-   <entry>Europe/Zaporozhye</entry>
-  </row>
-  <row>
-   <entry>Europe/Zurich</entry>
-  </row>
-  <row>
-   <entry>Factory</entry>
-  </row>
-  <row>
-   <entry>GMT GMT+0 GMT-0 GMT0 Greenwich Etc/GMT Etc/GMT+0 Etc/GMT-0 Etc/GMT0 Etc/Greenwich</entry>
-  </row>
-  <row>
-   <entry>Indian/Antananarivo</entry>
-  </row>
-  <row>
-   <entry>Indian/Chagos</entry>
-  </row>
-  <row>
-   <entry>Indian/Christmas</entry>
-  </row>
-  <row>
-   <entry>Indian/Cocos</entry>
-  </row>
-  <row>
-   <entry>Indian/Comoro</entry>
-  </row>
-  <row>
-   <entry>Indian/Kerguelen</entry>
-  </row>
-  <row>
-   <entry>Indian/Mahe</entry>
-  </row>
-  <row>
-   <entry>Indian/Maldives</entry>
-  </row>
-  <row>
-   <entry>Indian/Mauritius</entry>
-  </row>
-  <row>
-   <entry>Indian/Mayotte</entry>
-  </row>
-  <row>
-   <entry>Indian/Reunion</entry>
-  </row>
-  <row>
-   <entry>MET</entry>
-  </row>
-  <row>
-   <entry>Pacific/Apia</entry>
-  </row>
-  <row>
-   <entry>Pacific/Auckland NZ</entry>
-  </row>
-  <row>
-   <entry>Pacific/Chatham NZ-CHAT</entry>
-  </row>
-  <row>
-   <entry>Pacific/Easter Chile/EasterIsland</entry>
-  </row>
-  <row>
-   <entry>Pacific/Efate</entry>
-  </row>
-  <row>
-   <entry>Pacific/Enderbury</entry>
-  </row>
-  <row>
-   <entry>Pacific/Fakaofo</entry>
-  </row>
-  <row>
-   <entry>Pacific/Fiji</entry>
-  </row>
-  <row>
-   <entry>Pacific/Funafuti</entry>
-  </row>
-  <row>
-   <entry>Pacific/Galapagos</entry>
-  </row>
-  <row>
-   <entry>Pacific/Gambier SystemV/YST9</entry>
-  </row>
-  <row>
-   <entry>Pacific/Guadalcanal</entry>
-  </row>
-  <row>
-   <entry>Pacific/Guam</entry>
-  </row>
-  <row>
-   <entry>Pacific/Honolulu HST SystemV/HST10 US/Hawaii</entry>
-  </row>
-  <row>
-   <entry>Pacific/Johnston</entry>
-  </row>
-  <row>
-   <entry>Pacific/Kiritimati</entry>
-  </row>
-  <row>
-   <entry>Pacific/Kosrae</entry>
-  </row>
-  <row>
-   <entry>Pacific/Kwajalein Kwajalein</entry>
-  </row>
-  <row>
-   <entry>Pacific/Majuro</entry>
-  </row>
-  <row>
-   <entry>Pacific/Marquesas</entry>
-  </row>
-  <row>
-   <entry>Pacific/Midway</entry>
-  </row>
-  <row>
-   <entry>Pacific/Nauru</entry>
-  </row>
-  <row>
-   <entry>Pacific/Niue</entry>
-  </row>
-  <row>
-   <entry>Pacific/Norfolk</entry>
-  </row>
-  <row>
-   <entry>Pacific/Noumea</entry>
-  </row>
-  <row>
-   <entry>Pacific/Pago_Pago Pacific/Samoa US/Samoa</entry>
-  </row>
-  <row>
-   <entry>Pacific/Palau</entry>
-  </row>
-  <row>
-   <entry>Pacific/Pitcairn SystemV/PST8</entry>
-  </row>
-  <row>
-   <entry>Pacific/Ponape</entry>
-  </row>
-  <row>
-   <entry>Pacific/Port_Moresby</entry>
-  </row>
-  <row>
-   <entry>Pacific/Rarotonga</entry>
-  </row>
-  <row>
-   <entry>Pacific/Saipan</entry>
-  </row>
-  <row>
-   <entry>Pacific/Tahiti</entry>
-  </row>
-  <row>
-   <entry>Pacific/Tarawa</entry>
-  </row>
-  <row>
-   <entry>Pacific/Tongatapu</entry>
-  </row>
-  <row>
-   <entry>Pacific/Truk</entry>
-  </row>
-  <row>
-   <entry>Pacific/Wake</entry>
-  </row>
-  <row>
-   <entry>Pacific/Wallis</entry>
-  </row>
-  <row>
-   <entry>Pacific/Yap</entry>
-  </row>
-  <row>
-   <entry>UCT Etc/UCT</entry>
-  </row>
-  <row>
-   <entry>UTC Universal Zulu Etc/UTC Etc/Universal Etc/Zulu</entry>
-  </row>
-  <row>
-   <entry>WET</entry>
-  </row>
- </tbody>
-      </tgroup>
-     </table>
- 
-    <para>
-     In addition to the names listed in the table,
-     <productname>PostgreSQL</productname> will accept
-     <xref linkend="guc-timezone"> values of the
-     form <replaceable>STD</><replaceable>offset</> or
-     <replaceable>STD</><replaceable>offset</><replaceable>DST</>, where
-     <replaceable>STD</> is a zone abbreviation, <replaceable>offset</> is a
-     numeric offset in hours west from UTC, and <replaceable>DST</> is an
-     optional daylight-savings zone abbreviation, assumed to stand for one hour
-     ahead of the given offset.  For example, if <literal>EST5EDT</> were not
-     already a recognized zone name, it would be accepted and would be
-     functionally equivalent to USA East Coast time.  When a daylight-savings
-     zone name is present, it is assumed to be used according to USA time zone
-     rules, so this feature is of limited use outside North America.
-     One should also be wary that this provision can lead to
-     silently accepting bogus input, since there is no check on the
-     reasonableness of the zone abbreviations.  For example,
-     <literal>SET TIMEZONE TO FOOBAR0</> will work, leaving the system
-     effectively using a rather peculiar abbreviation for GMT.
-    </para>
- 
    </sect1>
  
    <sect1 id="datetime-config-files">
--- 359,364 ----
***************
*** 2249,2255 ****
      negative being west.  For example, -18000 would be five hours west
      of Greenwich, or North American east coast standard time.  <literal>D</>
      indicates that the zone name represents local daylight-savings time
!     rather than standard time.
     </para>
  
     <para>
--- 407,414 ----
      negative being west.  For example, -18000 would be five hours west
      of Greenwich, or North American east coast standard time.  <literal>D</>
      indicates that the zone name represents local daylight-savings time
!     rather than standard time. Since all known time zone offsets are on
!     15 minute boundaries, the number of seconds has to be a multiple of 900.
     </para>
  
     <para>
***************
*** 2284,2289 ****
--- 443,456 ----
      the dot embedded in their names.
     </para>
  
+    <note>
+     <para>
+      If an error occurs while reading the time zone data sets, no new value is
+      applied but the old set is kept. If the error occurs while starting the
+      database, startup fails.
+     </para>
+    </note>
+ 
     <caution>
      <para>
       Time zone abbreviations defined in the configuration file override
Index: func.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/func.sgml,v
retrieving revision 1.339
diff -c -r1.339 func.sgml
*** func.sgml	20 Sep 2006 23:43:21 -0000	1.339
--- func.sgml	22 Sep 2006 10:56:17 -0000
***************
*** 6095,6103 ****
      In these expressions, the desired time zone <replaceable>zone</> can be
      specified either as a text string (e.g., <literal>'PST'</literal>)
      or as an interval (e.g., <literal>INTERVAL '-08:00'</literal>).
!     In the text case, the available zone names are those shown in either
!     <xref linkend="datetime-timezone-full-names-table"> or
!     <xref linkend="datetime-timezone-input-table">.
     </para>
  
     <para>
--- 6095,6113 ----
      In these expressions, the desired time zone <replaceable>zone</> can be
      specified either as a text string (e.g., <literal>'PST'</literal>)
      or as an interval (e.g., <literal>INTERVAL '-08:00'</literal>).
!     In the text case, you can list the available time zone names by querying
!     the views <literal>pg_timezone_names</literal> and
!     <literal>pg_timezone_abbrevs</literal> (see <xref
!     linkend="view-pg-timezone-names"> and <xref
!     linkend="view-pg-timezone-abbrevs"> respectively). You may also specify a
!     time zone as <replaceable>STD</><replaceable>offset</> or
!     <replaceable>STD</><replaceable>offset</><replaceable>DST</>, where
!     <replaceable>STD</> is a zone abbreviation, <replaceable>offset</> is a
!     numeric offset in hours west from UTC, and <replaceable>DST</> is an
!     optional daylight-savings zone abbreviation, assumed to stand for one hour
!     ahead of the given offset. However, see the warning on
!     <productname>PostgreSQL</productname> accepting bogus time zone input in
!     <xref linkend="datatype-timezones">.
     </para>
  
     <para>
